Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.store
Class StandardStore

    java.lang.Object
      org.apache.slide.common.AbstractServiceBase
          org.apache.slide.common.AbstractSimpleService
              org.apache.slide.store.AbstractStore
                  org.apache.slide.store.StandardStore

All Implemented Interfaces:
  ContentStore, LockStore, NodeStore, RevisionDescriptorsStore, RevisionDescriptorStore, SecurityStore, SequenceStore, Service, Store, javax.transaction.xa.XAResource

Deprecated. This store is deprecated as it has no reasonable transaction support, use ExtendedStore instead.

public class StandardStore
extends AbstractStore

Abstract implementation of a store. Handles all caching operations.

Version:
  $Revision: 1.23 $

Field Summary
`protected ObjectCache` | `descriptorCache` Deprecated. Revision descriptor cache.
`protected ObjectCache` | `descriptorsCache` Deprecated. Revision descriptors cache.
`protected ObjectCache` | `locksCache` Deprecated. Locks cache.
`protected ObjectCache` | `objectsCache` Deprecated. Nodes cache.
`protected ObjectCache` | `permissionsCache` Deprecated. Permissions cache.

Fields inherited from class org.apache.slide.store.AbstractStore
`contentIndexer, contentStore, lockStore, nodeStore, parameters, propertiesIndexer, resourceManagers, revisionDescriptorsStore, revisionDescriptorStore, securityStore, sequenceStore`

Fields inherited from class org.apache.slide.common.AbstractSimpleService
`currentContext, rollbackOnly, status, transactionTimeout, TX_IDLE, TX_PREPARED, TX_SUSPENDED`

Fields inherited from class org.apache.slide.common.AbstractServiceBase
`LOG_CHANNEL, namespace, scope`

Fields inherited from interface javax.transaction.xa.XAResource
`TMENDRSCAN, TMFAIL, TMJOIN, TMNOFLAGS, TMONEPHASE, TMRESUME, TMSTARTRSCAN, TMSUCCESS, TMSUSPEND, XA_OK, XA_RDONLY`

Constructor Summary
`StandardStore()` Deprecated. Constructor.

Method Summary
`void` | `createObject(Uri uri, ObjectNode object)` Deprecated. Create a new object in the Descriptors Store.
`void` | `createRevisionContent(Uri uri, NodeRevisionDescriptor revisionDescriptor, NodeRevisionContent revisionContent)` Deprecated. Create a new revision
`void` | `createRevisionDescriptor(Uri uri, NodeRevisionDescriptor revisionDescriptor)` Deprecated. Create new revision descriptor.
`void` | `createRevisionDescriptors(Uri uri, NodeRevisionDescriptors revisionDescriptors)` Deprecated. Create new revision descriptors.
`protected void` | `delist(Service service, boolean success)` Deprecated. Delist (suspend) the resource manager in the current transaction.
`java.util.Enumeration` | `enumerateLocks(Uri uri)` Deprecated. Enumerate locks on an object.
`java.util.Enumeration` | `enumeratePermissions(Uri uri)` Deprecated. Enumerate an object permissions.
`void` | `grantPermission(Uri uri, NodePermission permission)` Deprecated. Store an object permissions in the Descriptors Store.
`void` | `initialize(NamespaceAccessToken token)` Deprecated. Initializes descriptors store.
`void` | `killLock(Uri uri, NodeLock lock)` Deprecated. Kills a lock.
`void` | `putLock(Uri uri, NodeLock lock)` Deprecated. Puts a lock on a subject.
`void` | `removeLock(Uri uri, NodeLock lock)` Deprecated. Removes (cancels) a lock.
`void` | `removeObject(Uri uri, ObjectNode object)` Deprecated. Remove an object from the Descriptors Store.
`void` | `removeRevisionContent(Uri uri, NodeRevisionDescriptor revisionDescriptor)` Deprecated. Remove revision.
`void` | `removeRevisionDescriptor(Uri uri, NodeRevisionNumber number)` Deprecated. Remove revision descriptor.
`void` | `removeRevisionDescriptors(Uri uri)` Deprecated. Remove revision descriptors.
`void` | `renewLock(Uri uri, NodeLock lock)` Deprecated. Renews a lock.
`protected void` | `resetCaches()` Deprecated. Reset the caches.
`ObjectNode` | `retrieveObject(Uri uri)` Deprecated. Retrive an object from the Descriptors Store.
`NodeRevisionContent` | `retrieveRevisionContent(Uri uri, NodeRevisionDescriptor revisionDescriptor)` Deprecated. Retrive revision content.
`NodeRevisionDescriptor` | `retrieveRevisionDescriptor(Uri uri, NodeRevisionNumber revisionNumber)` Deprecated. Retrieve revision descriptor.
`NodeRevisionDescriptors` | `retrieveRevisionDescriptors(Uri uri)` Deprecated. Retrieve a revision descriptors.
`void` | `revokePermission(Uri uri, NodePermission permission)` Deprecated. Store an object permissions in the Descriptors Store.
`void` | `revokePermissions(Uri uri)` Deprecated. Revoke all the permissions on the object.
`void` | `storeObject(Uri uri, ObjectNode object)` Deprecated. Store an object in the Descriptors Store.
`void` | `storeRevisionContent(Uri uri, NodeRevisionDescriptor revisionDescriptor, NodeRevisionContent revisionContent)` Deprecated. Modify the latest revision of an object.
`void` | `storeRevisionDescriptor(Uri uri, NodeRevisionDescriptor revisionDescriptor)` Deprecated. Update revision descriptor.
`void` | `storeRevisionDescriptors(Uri uri, NodeRevisionDescriptors revisionDescriptors)` Deprecated. Update revision descriptors.
`java.lang.String` | `toString()` Deprecated. Return the name of this store

Methods inherited from class org.apache.slide.store.AbstractStore
`addResourceManager, commit, connect, connect, createSequence, delist, delist, disconnect, end, enlist, enlist, exclusiveTransientLock, forget, getContentIndexer, getName, getParameter, getPropertiesIndexer, isConnected, isForceStoreEnlistment, isSequenceSupported, nextSequenceValue, prepare, reset, rollback, sequenceExists, setContentIndexer, setContentStore, setLockStore, setName, setNamespace, setNodeStore, setParameters, setPropertiesIndexer, setRevisionDescriptorsStore, setRevisionDescriptorStore, setRollbackOnly, setScope, setSecurityStore, setSequenceStore, start, useBinding`

Methods inherited from class org.apache.slide.common.AbstractSimpleService
`getTransactionTimeout, isSameRM, recover, setTransactionTimeout`

Methods inherited from class org.apache.slide.common.AbstractServiceBase
`cacheResults, connectIfNeeded, connectIfNeeded, getLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.slide.common.Service
`cacheResults, connectIfNeeded, connectIfNeeded, getLogger`

Methods inherited from interface javax.transaction.xa.XAResource
`getTransactionTimeout, isSameRM, recover, setTransactionTimeout`

Field Detail

### objectsCache

    protected ObjectCache objectsCache

  Deprecated.
  Nodes cache.

### permissionsCache

    protected ObjectCache permissionsCache

  Deprecated.
  Permissions cache.

### locksCache

    protected ObjectCache locksCache

  Deprecated.
  Locks cache.

### descriptorsCache

    protected ObjectCache descriptorsCache

  Deprecated.
  Revision descriptors cache.

### descriptorCache

    protected ObjectCache descriptorCache

  Deprecated.
  Revision descriptor cache.

Constructor Detail

### StandardStore

    public StandardStore()

  Deprecated.
  Constructor. Handles caches initialization.

Method Detail

### initialize

    public void initialize(NamespaceAccessToken token)
                    throws ServiceInitializationFailedException

  Deprecated.
  Initializes descriptors store.

  Specified by:
    `initialize` in interface `Service`
  Overrides:
    `initialize` in class `AbstractStore`
  Throws:
    `ServiceInitializationFailedException` - Throws an exception if the descriptors store has already been initialized before

### retrieveObject

    public ObjectNode retrieveObject(Uri uri)
                              throws ServiceAccessException,
                                     ObjectNotFoundException

  Deprecated.
  Retrive an object from the Descriptors Store.

  Specified by:
    `retrieveObject` in interface `NodeStore`
  Overrides:
    `retrieveObject` in class `AbstractStore`
  Parameters:
    `uri` - Uri of the object we want to retrieve
  Throws:
    `ServiceAccessException` - Error accessing the Descriptors Store
    `ObjectNotFoundException` - The object to retrieve was not found

### storeObject

    public void storeObject(Uri uri,
                            ObjectNode object)
                     throws ServiceAccessException,
                            ObjectNotFoundException

  Deprecated.
  Store an object in the Descriptors Store.

  Specified by:
    `storeObject` in interface `NodeStore`
  Overrides:
    `storeObject` in class `AbstractStore`
  Parameters:
    `object` - Object to update
  Throws:
    `ServiceAccessException` - Error accessing the Descriptors Store
    `ObjectNotFoundException` - The object to update was not found

### createObject

    public void createObject(Uri uri,
                             ObjectNode object)
                      throws ServiceAccessException,
                             ObjectAlreadyExistsException

  Deprecated.
  Create a new object in the Descriptors Store.

  Specified by:
    `createObject` in interface `NodeStore`
  Overrides:
    `createObject` in class `AbstractStore`
  Parameters:
    `object` - SlideObject
    `uri` - Uri of the object we want to create
  Throws:
    `ServiceAccessException` - Error accessing the Descriptors Store
    `ObjectAlreadyExistsException` - An object already exists at this Uri

### removeObject

    public void removeObject(Uri uri,
                             ObjectNode object)
                      throws ServiceAccessException,
                             ObjectNotFoundException

  Deprecated.
  Remove an object from the Descriptors Store.

  Specified by:
    `removeObject` in interface `NodeStore`
  Overrides:
    `removeObject` in class `AbstractStore`
  Parameters:
    `object` - Object to remove
  Throws:
    `ServiceAccessException` - Error accessing the Descriptors Store
    `ObjectNotFoundException` - The object to remove was not found

### grantPermission

    public void grantPermission(Uri uri,
                                NodePermission permission)
                         throws ServiceAccessException

  Deprecated.
  Store an object permissions in the Descriptors Store.

  Specified by:
    `grantPermission` in interface `SecurityStore`
  Overrides:
    `grantPermission` in class `AbstractStore`
  Parameters:
    `permission` - Permission we want to create
  Throws:
    `ServiceAccessException` - Error accessing the Descriptors Store

### revokePermission

    public void revokePermission(Uri uri,
                                 NodePermission permission)
                          throws ServiceAccessException

  Deprecated.
  Store an object permissions in the Descriptors Store.

  Specified by:
    `revokePermission` in interface `SecurityStore`
  Overrides:
    `revokePermission` in class `AbstractStore`
  Parameters:
    `permission` - Permission we want to create
  Throws:
    `ServiceAccessException` - Error accessing the Descriptors Store

### revokePermissions

    public void revokePermissions(Uri uri)
                           throws ServiceAccessException

  Deprecated.
  Revoke all the permissions on the object.

  Specified by:
    `revokePermissions` in interface `SecurityStore`
  Overrides:
    `revokePermissions` in class `AbstractStore`
  Parameters:
    `uri` - The uri of the object
  Throws:
    `ServiceAccessException` - Error accessing the Descriptors Store

### enumeratePermissions

    public java.util.Enumeration enumeratePermissions(Uri uri)
                                               throws ServiceAccessException

  Deprecated.
  Enumerate an object permissions.

  Specified by:
    `enumeratePermissions` in interface `SecurityStore`
  Overrides:
    `enumeratePermissions` in class `AbstractStore`
  Parameters:
    `uri` - The uri of the object
  Returns:
    A enumeration of all `permissions` on this object.
  Throws:
    `ServiceAccessException` - Error accessing the Descriptors Store

### putLock

    public void putLock(Uri uri,
                        NodeLock lock)
                 throws ServiceAccessException

  Deprecated.
  Puts a lock on a subject.

  Specified by:
    `putLock` in interface `LockStore`
  Overrides:
    `putLock` in class `AbstractStore`
  Parameters:
    `lock` - Lock token
  Throws:
    `ServiceAccessException` - Service access error

### renewLock

    public void renewLock(Uri uri,
                          NodeLock lock)
                   throws ServiceAccessException,
                          LockTokenNotFoundException

  Deprecated.
  Renews a lock.

  Specified by:
    `renewLock` in interface `LockStore`
  Overrides:
    `renewLock` in class `AbstractStore`
  Parameters:
    `lock` - Token to renew
  Throws:
    `ServiceAccessException` - Service access error
    `LockTokenNotFoundException` - Lock token was not found

### removeLock

    public void removeLock(Uri uri,
                           NodeLock lock)
                    throws ServiceAccessException,
                           LockTokenNotFoundException

  Deprecated.
  Removes (cancels) a lock.

  Specified by:
    `removeLock` in interface `LockStore`
  Overrides:
    `removeLock` in class `AbstractStore`
  Parameters:
    `lock` - Token to remove
  Throws:
    `ServiceAccessException` - Service access error
    `LockTokenNotFoundException` - Lock token was not found

### killLock

    public void killLock(Uri uri,
                         NodeLock lock)
                  throws ServiceAccessException,
                         LockTokenNotFoundException

  Deprecated.
  Kills a lock.

  Specified by:
    `killLock` in interface `LockStore`
  Overrides:
    `killLock` in class `AbstractStore`
  Parameters:
    `lock` - Token to remove
  Throws:
    `ServiceAccessException` - Service access error
    `LockTokenNotFoundException` - Lock token was not found

### enumerateLocks

    public java.util.Enumeration enumerateLocks(Uri uri)
                                         throws ServiceAccessException

  Deprecated.
  Enumerate locks on an object.

  Specified by:
    `enumerateLocks` in interface `LockStore`
  Overrides:
    `enumerateLocks` in class `AbstractStore`
  Parameters:
    `uri` - Uri of the subject
  Returns:
    Enumeration List of `locks` which have been put on the subject
  Throws:
    `ServiceAccessException` - Service access error

### retrieveRevisionDescriptors

    public NodeRevisionDescriptors retrieveRevisionDescriptors(Uri uri)
                                                        throws ServiceAccessException,
                                                               RevisionDescriptorNotFoundException

  Deprecated.
  Retrieve a revision descriptors.

  Specified by:
    `retrieveRevisionDescriptors` in interface `RevisionDescriptorsStore`
  Overrides:
    `retrieveRevisionDescriptors` in class `AbstractStore`
  Parameters:
    `uri` - Uri
  Throws:
    `ServiceAccessException` - Service access error
    `RevisionDescriptorNotFoundException` - Revision descriptor was not found

### createRevisionDescriptors

    public void createRevisionDescriptors(Uri uri,
                                          NodeRevisionDescriptors revisionDescriptors)
                                   throws ServiceAccessException

  Deprecated.
  Create new revision descriptors.

  Specified by:
    `createRevisionDescriptors` in interface `RevisionDescriptorsStore`
  Overrides:
    `createRevisionDescriptors` in class `AbstractStore`
  Parameters:
    `uri` - Uri
    `revisionDescriptors` - Node revision descriptors
  Throws:
    `ServiceAccessException` - Service access error

### storeRevisionDescriptors

    public void storeRevisionDescriptors(Uri uri,
                                         NodeRevisionDescriptors revisionDescriptors)
                                  throws ServiceAccessException,
                                         RevisionDescriptorNotFoundException

  Deprecated.
  Update revision descriptors.

  Specified by:
    `storeRevisionDescriptors` in interface `RevisionDescriptorsStore`
  Overrides:
    `storeRevisionDescriptors` in class `AbstractStore`
  Parameters:
    `uri` - Uri
    `revisionDescriptors` - Node revision descriptors
  Throws:
    `ServiceAccessException` - Service access error
    `RevisionDescriptorNotFoundException` - Revision descriptor was not found

### removeRevisionDescriptors

    public void removeRevisionDescriptors(Uri uri)
                                   throws ServiceAccessException

  Deprecated.
  Remove revision descriptors.

  Specified by:
    `removeRevisionDescriptors` in interface `RevisionDescriptorsStore`
  Overrides:
    `removeRevisionDescriptors` in class `AbstractStore`
  Parameters:
    `uri` - Uri
  Throws:
    `ServiceAccessException` - Service access error

### retrieveRevisionDescriptor

    public NodeRevisionDescriptor retrieveRevisionDescriptor(Uri uri,
                                                             NodeRevisionNumber revisionNumber)
                                                      throws ServiceAccessException,
                                                             RevisionDescriptorNotFoundException

  Deprecated.
  Retrieve revision descriptor.

  Specified by:
    `retrieveRevisionDescriptor` in interface `RevisionDescriptorStore`
  Overrides:
    `retrieveRevisionDescriptor` in class `AbstractStore`
  Parameters:
    `uri` - Uri
    `revisionNumber` - Node revision number
  Throws:
    `ServiceAccessException`
    `RevisionDescriptorNotFoundException`

### createRevisionDescriptor

    public void createRevisionDescriptor(Uri uri,
                                         NodeRevisionDescriptor revisionDescriptor)
                                  throws ServiceAccessException

  Deprecated.
  Create new revision descriptor.

  Specified by:
    `createRevisionDescriptor` in interface `RevisionDescriptorStore`
  Overrides:
    `createRevisionDescriptor` in class `AbstractStore`
  Parameters:
    `uri` - Uri
    `revisionDescriptor` - Node revision descriptor
  Throws:
    `ServiceAccessException` - Service access error

### storeRevisionDescriptor

    public void storeRevisionDescriptor(Uri uri,
                                        NodeRevisionDescriptor revisionDescriptor)
                                 throws ServiceAccessException,
                                        RevisionDescriptorNotFoundException

  Deprecated.
  Update revision descriptor.

  Specified by:
    `storeRevisionDescriptor` in interface `RevisionDescriptorStore`
  Overrides:
    `storeRevisionDescriptor` in class `AbstractStore`
  Parameters:
    `uri` - Uri
    `revisionDescriptor` - Node revision descriptor
  Throws:
    `ServiceAccessException` - Service access error
    `RevisionDescriptorNotFoundException` - Revision descriptor was not found

### removeRevisionDescriptor

    public void removeRevisionDescriptor(Uri uri,
                                         NodeRevisionNumber number)
                                  throws ServiceAccessException

  Deprecated.
  Remove revision descriptor.

  Specified by:
    `removeRevisionDescriptor` in interface `RevisionDescriptorStore`
  Overrides:
    `removeRevisionDescriptor` in class `AbstractStore`
  Parameters:
    `uri` - Uri
    `number` - Revision number
  Throws:
    `ServiceAccessException` - Service access error

### retrieveRevisionContent

    public NodeRevisionContent retrieveRevisionContent(Uri uri,
                                                       NodeRevisionDescriptor revisionDescriptor)
                                                throws ServiceAccessException,
                                                       RevisionNotFoundException

  Deprecated.
  Retrive revision content.

  Specified by:
    `retrieveRevisionContent` in interface `ContentStore`
  Overrides:
    `retrieveRevisionContent` in class `AbstractStore`
  Parameters:
    `uri` - Uri
    `revisionDescriptor` - Node revision descriptor
  Throws:
    `ServiceAccessException`
    `RevisionNotFoundException`

### createRevisionContent

    public void createRevisionContent(Uri uri,
                                      NodeRevisionDescriptor revisionDescriptor,
                                      NodeRevisionContent revisionContent)
                               throws ServiceAccessException,
                                      RevisionAlreadyExistException

  Deprecated.
  Create a new revision

  Specified by:
    `createRevisionContent` in interface `ContentStore`
  Overrides:
    `createRevisionContent` in class `AbstractStore`
  Parameters:
    `uri` - Uri
    `revisionDescriptor` - Node revision descriptor
    `revisionContent` - Node revision content
  Throws:
    `ServiceAccessException`
    `RevisionAlreadyExistException`

### storeRevisionContent

    public void storeRevisionContent(Uri uri,
                                     NodeRevisionDescriptor revisionDescriptor,
                                     NodeRevisionContent revisionContent)
                              throws ServiceAccessException,
                                     RevisionNotFoundException

  Deprecated.
  Modify the latest revision of an object.

  Specified by:
    `storeRevisionContent` in interface `ContentStore`
  Overrides:
    `storeRevisionContent` in class `AbstractStore`
  Parameters:
    `uri` - Uri
    `revisionDescriptor` - Node revision descriptor
    `revisionContent` - Node revision content
  Throws:
    `ServiceAccessException`
    `RevisionNotFoundException`

### removeRevisionContent

    public void removeRevisionContent(Uri uri,
                                      NodeRevisionDescriptor revisionDescriptor)
                               throws ServiceAccessException

  Deprecated.
  Remove revision.

  Specified by:
    `removeRevisionContent` in interface `ContentStore`
  Overrides:
    `removeRevisionContent` in class `AbstractStore`
  Parameters:
    `uri` - Uri
    `revisionDescriptor` - Node revision descriptor
  Throws:
    `ServiceAccessException`

### toString

    public java.lang.String toString()

  Deprecated.
  Return the name of this store

### delist

    protected void delist(Service service,
                          boolean success)
                   throws ServiceAccessException

  Deprecated.
  Delist (suspend) the resource manager in the current transaction.

  Overrides:
    `delist` in class `AbstractStore`
  Throws:
    `ServiceAccessException`

### resetCaches

    protected void resetCaches()

  Deprecated.
  Reset the caches.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD